std::is_void(3)

NAME
std::is_void - std::is_void

Synopsis
   Defined in header <type_traits>
   template< class T > (since C++11)
   struct is_void;
   Checks whether T is a void type. Provides the member constant value that is equal to
   true, if T is the type void, const void, volatile void, or const volatile void.
   Otherwise, value is equal to false.
   The behavior of a program that adds specializations for is_void
   or is_void_v
   (since C++17) is undefined.

Template parameters
   T - a type to check
  Helper variable template
   template< class T > (since C++17)
   inline constexpr bool is_void_v = is_void<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is the type void (possibly cv-qualified) , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Possible implementation
   template< class T >
   struct is_void : std::is_same<void, typename std::remove_cv<T>::type> {};

Example
// Run this code
 #include <iostream>
 #include <type_traits>
 int main()
 {
     std::cout << std::boolalpha;
     std::cout << std::is_void<void>::value << '\n';
     std::cout << std::is_void<int>::value << '\n';
 }

Output:
 true
 false

See also
   is_array checks if a type is an array type
   (C++11) (class template)
   is_pointer checks if a type is a pointer type
   (C++11) (class template)
   is_enum checks if a type is an enumeration type
   (C++11) (class template)
   is_union checks if a type is an union type
   (C++11) (class template)
   is_class checks if a type is a non-union class type
   (C++11) (class template)
   is_function checks if a type is a function type
   (C++11) (class template)
   is_object checks if a type is an object type
   (C++11) (class template)